1. API list
Blu V2.0
  • Blu API Document V2.0
  • Blu接口文档 Copy
  • Blu接口文档
  • API list
    • 1-Create task
      POST
    • 2-Upload user list
      POST
    • 3-Pre-dial verification
      POST
    • 4-Cancel call
      POST
    • 5-Dial result query [Includes slots and scripts]
      POST
    • 6-Dial result callback [Includes slots and scripts]
      POST
    • 5-Dial result query
      POST
    • 6-Dial result callback
      POST
  • Annex
    • Attachment: payment time expression and the corresponding interval format of different users’ responses
    • Annex: Dictionary of call conclusions
  • Schemas
    • 示例数据模型
      • data字段返回结果
  1. API list

5-Dial result query

POST
/rest/v1/queryCallResult
1.
When querying based solely on the taskId parameter, Blu returns data with a default of 10 records per page, starting from the first page.
2.
If you make a query request based on the taskId & pageNo & pageSize parameters, then the count value in the returned result refers to the number of call records on that page, not the total number of call records for the task.
3.
Supported query time range: the latest 45 days.
4.
About jobId field. Blu system has internal logic like split the list, batch scheduling, and troubleshooting problems, customers do not have to pay special attention to this field.

Request

Header Params

Body Params application/json

Example
{     
    "taskId": "5573"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/rest/v1/queryCallResult' \
--header 'appId: 10001' \
--header 'timeStamp: 1626856869046' \
--header 'sign: 84e00b98ea02b9afd0aa20d289ff5979df9308278572d7300d24dea85ef5a948' \
--header 'Content-Type: application/json' \
--data-raw '{     
    "taskId": "5573"
}'

Responses

🟢200Success
application/json
Body

Examples
{
    "code":2000,
    "message":"success",
    "count":1,
    "data":[{
              "taskId":66547748,
              "callId":123654,
              "jobId":890100048,
              "userId":1208048,
              "phone":"0159***0188", 
              "recordUrl":"https://bluapi.shanghu.ai/download/v1/getDownloadUrl/FCAGKR4SUAFP2MMOZA3JVENTL4XCO5GTIJ4YSKX=",
              "name":"Anoji Mohoo",
              "status":2,
              "code":"PTP"
              "desc":"Promised to payback",
              "strategyId":2,
              "botId":123,
              "startTime":"2024-01-01 13:00:00",
              "answerTime":"2024-01-01 13:00:10",
              "endTime":"2024-01-01 13:00:50",
              "duration":40,
              "extVars":"{}"
  }]
}
Modified at 2024-10-28 08:44:44
Previous
6-Dial result callback [Includes slots and scripts]
Next
6-Dial result callback
Built with